Skip to main content

Get storage space Statistics belonging to a Project

GET/v2/projects/{projectId}/storage-space-statistics
API version
v2
Request method
GET
Operation ID
storagespace-get-project-statistics

Request​

  • projectIdstringrequired

    ID of the Project to retrieve storage space Statistics for.

Responses​

Format
application/json
Description

OK

  • *
Content-Type: application/json

null
{
"$ref": "#/components/schemas/de.mittwald.v1.storagespace.Statistics"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/storage-space-statistics
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.storagespaceGetProjectStatistics({
"projectId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Project\StoragespaceGetProjectStatistics\StoragespaceGetProjectStatisticsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new StoragespaceGetProjectStatisticsRequest(
projectId: "string"
));
$response = $client->project()->storagespaceGetProjectStatistics($request);

var_dump($response->getBody();

On this page